List Specific Run Artifacts
GET/api/v8/repos/:owner/:repo/actions/runs/:run_id/artifacts
Pagination query for all artifacts generated by a specified Workflow Run, supporting sorting by creation time.
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
run_id stringrequired
Pipeline Run ID
Query Parameters
access_token string
User authorization code
name string
Product Name Filter (Fuzzy Match)
sort string
Sort field, currently only supports created
direction string
Sort direction, asc or desc
page integer
Current page number
Example: 1
per_page integer
Number of items per page
Example: 10
Responses
- 200
Response Headers
- application/json
- Schema
- Example (auto)
Schema
- Array [
- ]
total_countinteger
Total number of products
artifacts object[]
Product List
idstring
Product ID
namestring
Product Name
size_bytesinteger
Size of Product (Bytes)
workflow_idstring
Workflow ID
workflow_run_idstring
Workflow Run ID
digeststring
SHA256 Digest
expires_atstring
Expiration time (millisecond timestamp)
created_atstring
Create Time (Millisecond Timestamp)
updated_atstring
Update Time (millisecond timestamp)
{
"total_count": 0,
"artifacts": [
{
"id": "string",
"name": "string",
"size_bytes": 0,
"workflow_id": "string",
"workflow_run_id": "string",
"digest": "string",
"expires_at": "string",
"created_at": "string",
"updated_at": "string"
}
]
}